"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/** Create a metareducer that sends data to LogRocket */
function createMetaReducer(
/** LogRocket instance, after calling init() */
logrocket, 
/** Sanitizer options, same as LogRocket.reduxMiddleware */
options) {
    var reduxMiddleware = logrocket.reduxMiddleware(options);
    // return a metareducer
    return function (reducer) {
        var currentState;
        var fakeDispatch = reduxMiddleware({
            getState: function () { return currentState; },
        })(function () { });
        return function (state, action) {
            var newState = reducer(state, action);
            currentState = state;
            fakeDispatch(action);
            return newState;
        };
    };
}
exports.default = createMetaReducer;
//# sourceMappingURL=index.js.map